CobolManagedConnection.aCobolCon (Micro Focus COBOL Connector Class Library)
Keywords: com.microfocus.cobol.connector.spi.CobolManagedConnection.aCobolCon class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.microfocus.cobol.connector.spi
Class CobolManagedConnection.aCobolCon

    java.lang.Object
      com.microfocus.cobol.connector.cci.CobolConnection
          com.microfocus.cobol.connector.spi.CobolManagedConnection.aCobolCon

All Implemented Interfaces:
  Connection, MFCobolConnection, Serializable

Enclosing class:
  CobolManagedConnection

public class CobolManagedConnection.aCobolCon
extends CobolConnection
implements Connection, MFCobolConnection, Serializable

See Also:
  Serialized Form

Method Summary
`protected void` | `associateConnection(CobolManagedConnection newMc)` Associate a connection handle with a physical managed connection
`void` | `close()` close the CobolConnection handle
`protected void` | `invalidate()` Invalidate a Managed Connection

Methods inherited from class com.microfocus.cobol.connector.cci.CobolConnection
`activate, createInteraction, dispose, getEJBContext, getLocalTransaction, getManagedConnection, getMetaData, getResultSetInfo, passivate, resetLocalTransaction, resetXAFlow, setEJBContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.resource.cci.Connection
`createInteraction, getLocalTransaction, getMetaData, getResultSetInfo`

Methods inherited from interface com.microfocus.cobol.connector.cci.MFCobolConnection
`activate, dispose, passivate, resetXAFlow`

Method Detail

### invalidate

    protected void invalidate()

  Description copied from class: `CobolConnection`
  Invalidate a Managed Connection

  Overrides:
    `invalidate` in class `CobolConnection`

### associateConnection

    protected void associateConnection(CobolManagedConnection newMc)
                                throws ResourceException

  Description copied from class: `CobolConnection`
  Associate a connection handle with a physical managed connection

  Overrides:
    `associateConnection` in class `CobolConnection`
  Parameters:
    `newMc` - The Managed connection instance.
  Throws:
    `ResourceException`

### close

    public void close()
               throws ResourceException

  Description copied from class: `CobolConnection`
  close the CobolConnection handle

  Specified by:
    `close` in interface `Connection`
  Overrides:
    `close` in class `CobolConnection`
  Throws:
    `ResourceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Micro Focus International Limited. All rights reserved.
This document and the proprietary marks and names used herein are protected by international law.